Summary:        Taglib support for other formats 
Name:           taglib-extras
Version:        1.0.1
Release:        %mkrel 12
Group:          File tools
License:        LGPLv2
URL:            http://websvn.kde.org/trunk/kdesupport/taglib-extras/
Source0:        http://www.jefferai.com/taglib-extras/taglib-extras-%{version}.tar.gz 
Patch0:		taglib-extras-1.0.1-taglib-version.patch
Patch1:		taglib-extras-1.0.1-version.patch
BuildRequires:  taglib-devel
BuildRequires:  cmake

%description
Taglib-extras delivers support for reading and editing the meta-data of 
audio formats not supported by taglib, including: asf, mp4v2, rmff, wav.

#------------------------------------------------------------------------------
%define extras_major 1
%define libextras %mklibname tag-extras %extras_major

%package -n %{libextras}
Summary: %{name} library
Group: System/Libraries
Conflicts: taglib-extras < 1.0.1-4
Obsoletes: taglib-extras < 1.0.1-4

%description -n %{libextras}
Taglib-extras delivers support for reading and editing the meta-data of
audio formats not supported by taglib, including: asf, mp4v2, rmff, wav.

%files -n %{libextras}
%doc COPYING.LGPL
%{_libdir}/libtag-extras.so.%{extras_major}
%{_libdir}/libtag-extras.so.%{extras_major}.*

#--------------------------------------------------------------------

%package     devel
Summary:     Development files for %{name}
Group:       Development/C++ 
Requires:    %{libextras} = %{version}-%{release}

%description devel
%{summary}.

%files devel
%{_bindir}/taglib-extras-config
%{_includedir}/taglib-extras
%{_libdir}/libtag-extras.so
%{_libdir}/pkgconfig/taglib-extras.pc

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p3
%patch1 -p1

%build
%{cmake}
%make 

%install
%makeinstall_std -C build


%changelog
* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.0.1-12.mga6
+ Revision: 918511
- add patch from fedora to fix version provided by pkgconfig file
- add upstream patch to fix build with taglib 1.10

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-10.mga5
+ Revision: 750974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-9.mga5
+ Revision: 689678
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-8.mga4
+ Revision: 519459
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-7.mga3
+ Revision: 384011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 1.0.1-6.mga3
+ Revision: 340054
- Fix rpm group
- Add missing conflicts

* Thu Sep 06 2012 fwang <fwang> 1.0.1-5.mga3
+ Revision: 288793
- kdelibs4 is not needed

* Thu Sep 06 2012 fwang <fwang> 1.0.1-4.mga3
+ Revision: 288764
- correct libname

* Mon Jan 24 2011 ahmad <ahmad> 1.0.1-3.mga1
+ Revision: 35823
- imported package taglib-extras

